package com.yihu.hos.datacollect.model;

/**
 * RsJobDataset entity. @author MyEclipse Persistence Tools
 */

public class RsJobDataset implements java.io.Serializable {

	// Fields

	private String id;
	private String jobId;
	private String jobDatasetId;
	private String jobDatasetName;
	private String jobDatasetKey;
	private String jobDatasetKeytype;
	private String jobDatasetKeyvalue;
	private String jobDatasetCondition;
	private Integer sort;

	// Constructors

	/** default constructor */
	public RsJobDataset() {
	}

	public String getJobDatasetKey() {
		return jobDatasetKey;
	}

	public void setJobDatasetKey(String jobDatasetKey) {
		this.jobDatasetKey = jobDatasetKey;
	}

	public String getJobDatasetKeytype() {
		return jobDatasetKeytype;
	}

	public void setJobDatasetKeytype(String jobDatasetKeytype) {
		this.jobDatasetKeytype = jobDatasetKeytype;
	}

	/** minimal constructor */
	public RsJobDataset(String jobId, String jobDatasetId) {
		this.jobId = jobId;
		this.jobDatasetId = jobDatasetId;
	}

	/** full constructor */
	public RsJobDataset(String jobId, String jobDatasetId, String jobDatasetName, String jobDatasetKeyvalue, String jobDatasetCondition, Integer sort) {
		this.jobId = jobId;
		this.jobDatasetId = jobDatasetId;
		this.jobDatasetName = jobDatasetName;
		this.jobDatasetKeyvalue = jobDatasetKeyvalue;
		this.jobDatasetCondition = jobDatasetCondition;
		this.sort = sort;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getJobId() {
		return this.jobId;
	}

	public void setJobId(String jobId) {
		this.jobId = jobId;
	}

	public String getJobDatasetId() {
		return this.jobDatasetId;
	}

	public void setJobDatasetId(String jobDatasetId) {
		this.jobDatasetId = jobDatasetId;
	}

	public String getJobDatasetName() {
		return this.jobDatasetName;
	}

	public void setJobDatasetName(String jobDatasetName) {
		this.jobDatasetName = jobDatasetName;
	}

	public String getJobDatasetKeyvalue() {
		return this.jobDatasetKeyvalue;
	}

	public void setJobDatasetKeyvalue(String jobDatasetKeyvalue) {
		this.jobDatasetKeyvalue = jobDatasetKeyvalue;
	}

	public String getJobDatasetCondition() {
		return this.jobDatasetCondition;
	}

	public void setJobDatasetCondition(String jobDatasetCondition) {
		this.jobDatasetCondition = jobDatasetCondition;
	}

	public Integer getSort() {
		return this.sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

}